DOGECOIN-CLI(1)

NAME
dogecoin-cli - Dogecoin Core RPC client

DESCRIPTION
Dogecoin Core RPC client

  Usage:

dogecoin-cli [options] <command> [params]
    Send command to Dogecoin Core

dogecoin-cli [options] help
    List commands

dogecoin-cli [options] help <command>
    Get help for a command

OPTIONS

-?  This help message

-conf=<file>
    Specify configuration file (default: dogecoin.conf)

-datadir=<dir>
    Specify data directory

-testnet
    Use the test network

-regtest
    Enter regression test mode, which uses a special chain in which blocks can be solved instantly. This is intended for regression testing tools and app development.

-rpcconnect=<ip>
    Send commands to node running on <ip> (default: 127.0.0.1)

-rpcport=<port>
    Connect to JSON-RPC on <port> (default: 22555 or testnet: 44555)

-rpcwait
    Wait for RPC server to start

-rpcuser=<user>
    Username for JSON-RPC connections

-rpcpassword=<pw>
    Password for JSON-RPC connections

SSL options: (see the Bitcoin Wiki for SSL setup instructions)

-rpcssl
    Use OpenSSL (https) for JSON-RPC connections

SEE ALSO
The full documentation for dogecoin-cli is maintained as a Texinfo manual. If the info and dogecoin-cli programs are properly installed at your site, the command

    info dogecoin-cli

should give you access to the complete manual.